#
# spec file for package md_monitor
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           md_monitor
BuildRequires:  libaio-devel
BuildRequires:  libudev-devel
Requires:       mdadm
Url:            http://github.com/hreinecke/md_monitor
Summary:        MD device monitor
License:        GPL-2.0+
Group:          Development/Tools/Other
Version:        6.2
Release:        4.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

%description
The md_monitor daemon monitors the component devices of each MD array
for I/O issues. It will update the monitored MD arrays on each status
change, setting devices to 'faulty' or re-integrate working devices.

Authors:
--------
    Hannes Reinecke <hare@suse.de>

%prep
%setup -q 

%build
make OPTFLAGS="$RPM_OPT_FLAGS"

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/sbin/md_monitor
/sbin/setdasd
%{_mandir}/man8/md_monitor.8*
%{_mandir}/man8/setdasd.8*
/usr/share/misc/md_notify_device.sh
%doc README.md

%changelog
* Thu Nov  5 2015 hare@suse.de
- Update to version 6.0:
  * Include zFCP support (FATE#319070)
  * Update scripts for zFCP
- Update to version 6.1:
  * Set 'timeout' DASD attribute correctly on newer kernels
- Update to version 6.2:
  * Include scripts to setup root on MD
  * Set 'failfast' attribute correctly on newer kernels
  * Call 'mdadm --wait' when shutdown array (bsc#951211)
  * Include workaround for bsc#953510
  * Open device nodes read-only (bsc#937340)
  * Use curl instead of wget
  * Fix I/O timeout handling to work with newer kernel
  * Include workaround for bug#937340
* Thu Sep 17 2015 hare@suse.de
- Set 'timeout' DASD attribute for recent kernels (bsc#943270)
- Fixup typo testcase_monitor_functions.sh
* Fri Aug 28 2015 hare@suse.de
- Update to version 5.1
  * Fixup locking in dasd_monitor_thread (bnc#839559)
  * Fixup uninitialized variable
  * Close cli socket on error
  * Terminate string when reading from sysfs
  * Use MD in name in lookup_md_alias (bnc#876830)
- Update to version 5.2
  * Fixes from coverity
- Update to version 5.3
  * Skip devices not in state 'online' (bnc#920563)
  * Open MD device nodes read-only
  * Skip uninitialized devices during scanning
  * Fixup testcases for SLE12
- Update to version 6.0 to add zFCP support (FATE#319070)
  * Split off DASD support routines in separate file
  * Rework MD detection logic
  * Support multipath devices
  * Update some testcases for zFCP
* Fri Jan 24 2014 hare@suse.de
- Branched off from the mdadm package, version 5.0 (FATE#316685)
